/*
 * Copyright 2007 The Kuali Foundation
 * 
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.opensource.org/licenses/ecl2.php
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.rice.ken.kew;

import org.kuali.rice.kew.actionitem.ActionItem;
import org.kuali.rice.kew.actionlist.CustomActionListAttribute;
import org.kuali.rice.kew.actionlist.DisplayParameters;
import org.kuali.rice.kew.actions.ActionSet;
import org.kuali.rice.kew.web.session.UserSession;


/**
 * This class is our custom action list for Notifications in KEW.  It's wired in as the implementation to use as part of the NotificationData.xml 
 * bootstrap file for KEW.
 * @author Kuali Rice Team (rice.collab@kuali.org)
 */
public class NotificationCustomActionListAttribute implements CustomActionListAttribute {
    /**
     * @see org.kuali.rice.kew.actionlist.CustomActionListAttribute#getDocHandlerDisplayParameters(org.kuali.rice.kew.web.session.UserSession, org.kuali.rice.kew.actionitem.ActionItem)
     */
    public DisplayParameters getDocHandlerDisplayParameters(UserSession userSession, ActionItem actionItem) throws Exception {
	DisplayParameters dp = new DisplayParameters(new Integer(400));
	return dp;
    }

    /**
     * @see org.kuali.rice.kew.actionlist.CustomActionListAttribute#getLegalActions(org.kuali.rice.kew.web.session.UserSession, org.kuali.rice.kew.actionitem.ActionItem)
     */
    public ActionSet getLegalActions(UserSession userSession,ActionItem actionItem) throws Exception {
	ActionSet as = new ActionSet();
	as.addFyi();
	return as;
    }

}
