/*
 * Copyright 2008-2009 The Kuali Foundation
 * 
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.opensource.org/licenses/ecl2.php
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.rice.kew.postprocessor;

import org.kuali.rice.kew.actiontaken.ActionTakenValue;

/**
 * Event sent to the postprocessor when an action has been taken
 * @author Kuali Rice Team (rice.collab@kuali.org)
 */
public class ActionTakenEvent implements IDocumentEvent {

	private static final long serialVersionUID = 2945081851810845704L;
	private Long routeHeaderId;
	private String appDocId;
	private ActionTakenValue actionTaken;

	public ActionTakenEvent(Long routeHeaderId, String appDocId, ActionTakenValue actionTaken) {
		this.routeHeaderId = routeHeaderId;
		this.appDocId = appDocId;
		this.actionTaken = actionTaken;
	}

	public String getDocumentEventCode() {
		return ACTION_TAKEN;
	}

	public Long getRouteHeaderId() {
		return routeHeaderId;
	}

	public ActionTakenValue getActionTaken() {
		return actionTaken;
	}

	public String getAppDocId() {
		return appDocId;
	}

}
