/*
 * Copyright 2005-2008 The Kuali Foundation
 * 
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.opensource.org/licenses/ecl2.php
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.rice.kew.removereplace;

import java.io.Serializable;

import javax.persistence.Column;

/**
 * This Compound Primary Class has been generated by the rice ojb2jpa Groovy script.  Please
 * note that there are no setter methods, only getters.  This is done purposefully as cpk classes
 * can not change after they have been created.  Also note they require a public no-arg constructor.
 * TODO: Implement the equals() and hashCode() methods. 
 */
public class WorkgroupTargetId implements Serializable {

    @Column(name="DOC_HDR_ID")
    private Long documentId;
    @Column(name="GRP_ID")
    private Long workgroupId;

    public WorkgroupTargetId() {}

    public Long getDocumentId() { return documentId; }

    public Long getWorkgroupId() { return workgroupId; }

    
	/**
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((this.documentId == null) ? 0 : this.documentId.hashCode());
		result = prime
				* result
				+ ((this.workgroupId == null) ? 0 : this.workgroupId.hashCode());
		return result;
	}

	/**
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final WorkgroupTargetId other = (WorkgroupTargetId) obj;
		if (this.documentId == null) {
			if (other.documentId != null)
				return false;
		} else if (!this.documentId.equals(other.documentId))
			return false;
		if (this.workgroupId == null) {
			if (other.workgroupId != null)
				return false;
		} else if (!this.workgroupId.equals(other.workgroupId))
			return false;
		return true;
	}   
    
    /* Replace these eclipse generated code above
    public boolean equals(Object o) {
        if (o == this) return true;
        if (!(o instanceof WorkgroupTargetId)) return false;
        if (o == null) return false;
        WorkgroupTargetId pk = (WorkgroupTargetId) o;
        // TODO: Finish implementing this method.  Compare o to pk and return true or false.
        throw new UnsupportedOperationException("Please implement me!");
    }

    public int hashCode() {
        // TODO: Implement this method
        throw new UnsupportedOperationException("Please implement me!");
    }
    */
}

