/*
 * Copyright 2007 The Kuali Foundation
 *
 * Licensed under the Educational Community License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.opensource.org/licenses/ecl1.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.rice.kew.useroptions.dao;

import javax.sql.DataSource;

/**
 * DAO for dealing with the RELOAD_ACTION_LIST user option
 * 
 * @author Kuali Rice Team (rice.collab@kuali.org)
 *
 */
public interface ReloadActionListDAO {

	/**
	 * This method sets the RELOAD_ACTION_LIST flag
	 * 
	 * @param userId
	 */
	void setReloadActionListFlag(String userId);

	/**
	 * Does an atomic check and reset (clear) of the RELOAD_ACTION_LIST flag
	 * 
	 * @param userId
	 * @return
	 */
	boolean checkAndResetReloadActionListFlag(String userId);
}
