/*
 * Copyright 2005-2008 The Kuali Foundation
 * 
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.opensource.org/licenses/ecl2.php
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kuali.rice.kns.datadictionary.control;


/**
    The hidden element will cause the attribute to not
    be displayed.
 */
public class HiddenControlDefinition extends ControlDefinitionBase {
    private static final long serialVersionUID = -557648224354274301L;

	public HiddenControlDefinition() {
    }

    /**
     * @see org.kuali.rice.kns.datadictionary.control.ControlDefinition#isHidden()
     */
    public boolean isHidden() {
        return true;
    }

    /**
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return "HiddenControlDefinition";
    }
}
